WSCONSCFG(8)

NAME
wsconscfg - configure virtual terminals on a wscons display

SYNOPSIS
wsconscfg [-f <ctldev>] [-d [-F]] [-t <type>] [-e <emul>] index

DESCRIPTION
The wsconscfg tool allows to create and delete virtual terminals on display devices controlled by the wscons terminal framework if the underlying display hardware driver supports multiple screens. The index argument specifies which virtual terminal is to be configured; the allowed numbers are from 0 to an implementation-specified value (currently 7, allowing for 8 virtual terminals on a display). Without further option arguments, a virtual terminal is created with implementation specific properties and a default terminal emulation variant selected at kernel compile time.

The options are:

-f ctldev
    Specify the control device of the wscons display to operate on. Default is /dev/ttyEcfg.

-d  Delete the specified terminal. A terminal opened by a program will not be deleted unless the -F option is applied. Terminals used by the operating system console or a graphics program (X server) cannot be deleted.

-F  Force deleting of a terminal even if it is in use by a user space program.

-t type
    Specify a screen type to use. Screen types refer to display format, colour depth and other low-level display properties. Valid type arguments are defined by the underlying display device driver.

-e emul
    Specify the terminal emulation to use for the virtual terminal. The set of available terminal emulations is determined at kernel compile time. See wscons(4) for details.

Typically, the wsconscfg utility will be invoked in system startup by the /etc/rc.wscons script, controlled by the /etc/wscons.conf configuration file.

FILES
/etc/wscons.conf

EXAMPLES
    wsconscfg -t 80x50 -e vt100 1

Configure screen 1 (i.e. the second), it will get the type “80x50” and use the VT100 terminal emulation. (Note: “80x50” is a screen type offered by the vga(4) display driver. In this particular case, an 8x8-font must be loaded before to make the screen useful. See wsfontload(8) .)

BUGS
There should be an easy way to get a list of the screen types available on a display, and of the emulations supported by the kernel.

SEE ALSO
wscons(4) wsconsctl(8), wsfontload(8)